%define current_version 9.0.6

%define debug_package %{nil}

%global _hardened_build 1

%define _exe_destdir /usr/sbin
%define _util_destdir /usr/libexec/vzreport

Summary:	Submit Support Request wizard
ExclusiveArch:	x86_64
Name:		vzreport
Version:	%{current_version}
Release:        1%{?dist}
License:	GPLv2
Group:		System Environment
Source:		%{name}-%{version}.tar.bz2
BuildRequires:	boost-devel
BuildRequires:	libvzctl-devel
BuildRequires:	vztt-devel
BuildRequires:	libxml2-devel
BuildRequires:	python3

%description
Wizard for reporting problems with customer's Virtuozzo installation 

%prep
%setup -q

%build
export PSBM="$RPM_OPT_FLAGS"
export LDFLAGS="$RPM_LD_FLAGS"
%make_build

%install
%make_install

%clean

%check
ls %{buildroot}%{_util_destdir} | grep 'py$' | while read script; do
  python3 %{buildroot}%{_util_destdir}/$script /tmp < /dev/null || exit 1
done

%files
%defattr(750, root, root, 755)
%{_util_destdir}
%{_exe_destdir}/vzreportxml
%{_bindir}/rebootinfo
%{_sbindir}/vzreport
%{_mandir}/man1/*

%changelog
* Wed Jan 26 2022 Denis Silakov <dsilakov@virtuozzo.com> 9.0.3
 - --proxy requires an argument, PSBM-138043

* Tue Jan 25 2022 Denis Silakov <dsilakov@virtuozzo.com> 9.0.2
 - Improve proxy help

* Mon Jan 24 2022 Denis Silakov <dsilakov@virtuozzo.com> 9.0.1
 - Switch version to 9
 - Switch to vz9
 - Adopt read-write for py3

* Mon Jan 24 2022 Denis Silakov <dsilakov@virtuozzo.com> 8.0.9
 - Switch to vz9
 - Adopt read-write for py3

* Fri Sep 17 2021 Updates Tracker <dsilakov@virtuozzo.com> 8.0.7
 - Add some more libvirt logs (Denis Silakov <dsilakov@virtuozzo.com>)

* Fri Sep 10 2021 Updates Tracker <dsilakov@virtuozzo.com> 8.0.6
 - vzct supports only a limited set of domain commands (Denis Silakov
<dsilakov@virtuozzo.com>)
 - Do not try tyo collect storage logs if there is not folder with them (Denis
Silakov <dsilakov@virtuozzo.com>)
 - Fix vczt dumps in vzreport_collector (Denis Silakov <dsilakov@virtuozzo.com>)

* Fri Sep 10 2021 Updates Tracker <dsilakov@virtuozzo.com> 8.0.5
 - Not forget to install new collectors (Denis Silakov <dsilakov@virtuozzo.com>)
 - More info for VEs (Denis Silakov <dsilakov@virtuozzo.com>)

* Fri Sep 10 2021 Updates Tracker <dsilakov@virtuozzo.com> 8.0.4
 - Collect more virsh logs for both gneric and vm reports (Denis Silakov
<dsilakov@virtuozzo.com>)
 - Update help & man (Denis Silakov <dsilakov@virtuozzo.com>)
 - Really allow using --proxy and --full, basic per-vm support (Denis Silakov
<dsilakov@virtuozzo.com>)
 - Added sysinfo and NetConfig.xml (Denis Silakov <dsilakov@virtuozzo.com>)
 - Add AppConfig.xml (dispatcher.xml) if present (Denis Silakov
<dsilakov@virtuozzo.com>)

* Mon Aug 16 2021 Updates Tracker <dsilakov@virtuozzo.com> 8.0.3
 - Support --proxy option, PSBM-130908 (Denis Silakov <dsilakov@virtuozzo.com>)

* Fri Aug 13 2021 Updates Tracker <dsilakov@virtuozzo.com> 8.0.2
 - Add storage and va agent logs, add --full option, allow to skip collectors
via the SKIP_LOGS variable (Denis Silakov <dsilakov@virtuozzo.com>)

* Wed Aug 11 2021 Dmitry Mishin <dim@virtuozzo.com> 8.0.1
 - Add targets.list

* Wed Jul 14 2021 Updates Tracker <dsilakov@virtuozzo.com> 7.0.33
 - Do not export VZREPORT_COLLECTOR_TIMEOUT, PSBM-131856 (Denis Silakov
<dsilakov@virtuozzo.com>)

* Wed Jul 14 2021 Updates Tracker <dsilakov@virtuozzo.com> 7.0.32
 - Turn back report sending (Denis Silakov <dsilakov@virtuozzo.com>)
 - Added man page, PSBM-131842 (Denis Silakov <dsilakov@virtuozzo.com>)
 - Fix rpm macro usage
 - Add man page to spec

* Wed Jul 14 2021 Updates Tracker <dsilakov@virtuozzo.com> 7.0.31
 - Added man page, PSBM-131842 (Denis Silakov <dsilakov@virtuozzo.com>)

* Wed Jun 30 2021 Denis Silakov <dsilakov@virtuozzo.com> 7.0.30
 - Alow sending existing reports
 - Fix product version in the report
 - Add long options support
 - Add -h option

* Mon Jun 28 2021 Denis Silakov <dsilakov@virtuozzo.com> 7.0.29
 - Verify packages from VHS itself only, takes too much time to verify VzLinux
 - Nor forget to install new collectors

* Mon Jun 28 2021 Denis Silakov <dsilakov@virtuozzo.com> 7.0.28
 - Nor forget to install new collectors

* Fri Jun 25 2021 VZ Auto Builder <builder@virtuozzo.com> 7.0.27
 - Use vzct driver (Denis Silakov <dsilakov@virtuozzo.com>)
 - Remove debug output (Denis Silakov <dsilakov@virtuozzo.com>)

* Wed Jun 23 2021 Updates Tracker <dsilakov@virtuozzo.com> 7.0.26
 - Support -d / -s options for dump / send, PSBM-130447 (Denis Silakov
<dsilakov@virtuozzo.com>)
 - Add a bit more collectors, add report sending (Denis Silakov
<dsilakov@virtuozzo.com>)

* Mon Jun 21 2021 Updates Tracker <dsilakov@virtuozzo.com> 7.0.25
 - Don't strip vzreport, it is a script (Denis Silakov <dsilakov@virtuozzo.com>)
 - No prlsrvctl by default now, let's return to the old vzreport (Denis Silakov
<dsilakov@virtuozzo.com>)
 - Fix packages (Denis Silakov <dsilakov@virtuozzo.com>)
 - No prlsrvctl by default now, let's return to the old vzreport (Denis Silakov
<dsilakov@virtuozzo.com>)

* Mon Jun 21 2021 Updates Tracker <dsilakov@virtuozzo.com> 7.0.24
 - Don't strip vzreport, it is a script (Denis Silakov <dsilakov@virtuozzo.com>)
 - No prlsrvctl by default now, let's return to the old vzreport (Denis Silakov
<dsilakov@virtuozzo.com>)
 - No prlsrvctl by default now, let's return to the old vzreport (Denis Silakov
<dsilakov@virtuozzo.com>)

* Mon Jun 21 2021 Updates Tracker <dsilakov@virtuozzo.com> 7.0.23
 - Don't strip vzreport, it is a script (Denis Silakov <dsilakov@virtuozzo.com>)
 - No prlsrvctl by default now, let's return to the old vzreport (Denis Silakov
<dsilakov@virtuozzo.com>)
 - No prlsrvctl by default now, let's return to the old vzreport (Denis Silakov
<dsilakov@virtuozzo.com>)

* Mon Jun 21 2021 Updates Tracker <dsilakov@virtuozzo.com> 7.0.22
 - No prlsrvctl by default now, let's return to the old vzreport (Denis Silakov
<dsilakov@virtuozzo.com>)
 - No prlsrvctl by default now, let's return to the old vzreport (Denis Silakov
<dsilakov@virtuozzo.com>)

* Mon Jun 07 2021 Updates Tracker <dsilakov@virtuozzo.com> 7.0.21
 - More pstorage -> vstorage (Denis Silakov <dsilakov@virtuozzo.com>)

* Tue Jun 01 2021 Updates Tracker <dsilakov@virtuozzo.com> 7.0.19
 - Fix Parallels usage, update copyrights, PSBM-129827 (Denis Silakov
<dsilakov@virtuozzo.com>)

* Tue Jul 14 2020 Igor Sukhih <igor@virtuozzo.com> 7.0.18
 - Include '/etc/firewalld' content to problem reports #PSBM-105033

* Tue May 26 2020 VZ Auto Builder <dsilakov@virtuozzo.com> 7.0.17
 - PSBM-104379 (Denis Silakov <dsilakov@virtuozzo.com>)

* Wed Jul 31 2019 Igor Sukhih <igor@virtuozzo.com> 7.0.16
 - Collect ploop.log*
 - Update Copyright

* Tue Oct 30 2018 Denis Silakov <dsilakov@virtuozzo.com> 7.0.15
 - PSBM-89212

* Wed Sep 13 2017 Konstantin Volkov <wolf@virtuozzo.com> 7.0.14
 - MAJOR PSBM-57691 Add libvirt specific information to vzreport.tgz (bkbbkb
<bkb@virtuozzo.com>)

* Tue May 30 2017 Andrey Bondrov <abondrov@virtuozzo.com> 7.0.13-2
- Enable hardened build, see #PSBM-58107

* Mon Mar 20 2017 Konstantin Volkov <wolf@virtuozzo.com> 7.0.13
 - Add license and update copyrights ( #PSBM-58317 ) (Andrey Bondrov
<abondrov@virtuozzo.com>)

* Thu Dec 15 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.12
 - Collect info not only for started, but for all Containers, see #PSBM-52709

* Wed Dec 14 2016 Konstantin Volkov <wolf@virtuozzo.com> - 7.0.11-2
- Rebuild in 7.3 environment

* Tue Oct 11 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.11
 - Add do-upgrade-vz7.log to problem reports, see #PSBM-53324

* Tue Oct 11 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.10
 - Add /var/log/phaul*.log and dump dir Container logs into reports,
   see #PSBM-52709

* Tue Sep 20 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.9
 - Collect anaconda's logs #PSBM-51695 (Dmitry Andreev <dandreev@virtuozzo.com>)

* Tue Aug 16 2016 Dmitry Andreev <dandreev@virtuozzo.com> 7.0.8
 - Add information about readykernel and kpatch to a report #PSBM-50501

* Wed Jun 08 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.7-3
- Technical rebuild, see #PSBM-47948

* Tue Jun 09 2015 Dmitry Mishin <dim@virtuozzo.com> 7.0.7
 - Fixed installation paths

* Tue Jun 09 2015 Dmitry Mishin <dim@virtuozzo.com> 7.0.6
 - Fixed compilation and switch to libvzctl2 API
 - Fixed build requirements in spec (Alexander Burluka <aburluka@odin.com>)

* Wed May 27 2015 Alexander Burluka <aburluka@odin.com> 7.0.5
 - Fixed build requirements in spec

* Wed May 27 2015 Alexander Burluka <aburluka@odin.com> 7.0.4
 - Fix some errors in spec and sources

* Wed May 27 2015 Alexander Burluka <aburluka@odin.com> 7.0.3
 - Cleared sources file

* Wed May 27 2015 Alexander Burluka <aburluka@odin.com> 7.0.2
 - Fixed Makefile.version

* Wed May 27 2015 Alexander Burluka <aburluka@odin.com> 7.0.1
 - Initial changelog
